built_value_test 8.4.0 icon indicating copy to clipboard operation
built_value_test: ^8.4.0 copied to clipboard

Value types with builders, Dart classes as enums, and serialization. This library provides test support.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add built_value_test

With Flutter:

 $ flutter pub add built_value_test

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  built_value_test: ^8.4.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:built_value_test/matcher.dart';
2
likes
120
pub points
5%
popularity

Publisher

verified publisher icongoogle.dev

Value types with builders, Dart classes as enums, and serialization. This library provides test support.

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.BSD-3-Clause (LICENSE)

Dependencies

built_collection, built_value, collection, matcher, quiver

More

Packages that depend on built_value_test